IWORKShape.cpp File Reference
`#include "IWORKShape.h"`
`#include <algorithm>`
`#include <cmath>`
`#include <deque>`
`#include <iterator>`
`#include <glm/glm.hpp>`
`#include <memory>`
`#include "IWORKDocumentInterface.h"`
`#include "IWORKPath.h"`
`#include "IWORKText.h"`
`#include "IWORKTypes.h"`
`#include "IWORKTransformation.h"`

## Namespaces
namespace | libetonyek

## Functions
IWORKPathPtr_t | libetonyek::makePolygonPath (const IWORKSize &size, unsigned edges)
| Path creator functions for stock shapes.
IWORKPathPtr_t | libetonyek::makeRoundedRectanglePath (const IWORKSize &size, const double radius)
IWORKPathPtr_t | libetonyek::makeArrowPath (const IWORKSize &size, const double headWidth, const double stemThickness)
IWORKPathPtr_t | libetonyek::makeDoubleArrowPath (const IWORKSize &size, const double headWidth, const double stemThickness)
IWORKPathPtr_t | libetonyek::makeStarPath (const IWORKSize &size, const unsigned points, const double innerRadius)
IWORKPathPtr_t | libetonyek::makeCalloutPath (const IWORKSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
IWORKPathPtr_t | libetonyek::makeQuoteBubblePath (const IWORKSize &size, const double radius, const double tailSize, const double tailX, const double tailY)